Package org.apache.commons.math3.optim.nonlinear.scalar.gradient

# Enum NonLinearConjugateGradientOptimizer.Formula

java.lang.Object
java.lang.Enum<NonLinearConjugateGradientOptimizer.Formula>
org.apache.commons.math3.optim.nonlinear.scalar.gradient.NonLinearConjugateGradientOptimizer.Formula

All Implemented Interfaces:
  `Serializable`, `Comparable<NonLinearConjugateGradientOptimizer.Formula>`, `java.lang.constant.Constable`

Enclosing class:
  `NonLinearConjugateGradientOptimizer`

public static enum NonLinearConjugateGradientOptimizer.Formula extends Enum<NonLinearConjugateGradientOptimizer.Formula>
Available choices of update formulas for the updating the parameter that is used to compute the successive conjugate search directions. For non-linear conjugate gradients, there are two formulas:

- Fletcher-Reeves formula
- Polak-Ribière formula

On the one hand, the Fletcher-Reeves formula is guaranteed to converge if the start point is close enough of the optimum whether the Polak-Ribière formula may not converge in rare cases. On the other hand, the Polak-Ribière formula is often faster when it does converge. Polak-Ribière is often used.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FLETCHER_REEVES`
Fletcher-Reeves formula.
`POLAK_RIBIERE`
Polak-Ribière formula.

## Method Summary

Modifier and Type
Method
Description
`static NonLinearConjugateGradientOptimizer.Formula`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NonLinearConjugateGradientOptimizer.Formula[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FLETCHER_REEVES

public static final NonLinearConjugateGradientOptimizer.Formula FLETCHER_REEVES
Fletcher-Reeves formula.

### POLAK_RIBIERE

public static final NonLinearConjugateGradientOptimizer.Formula POLAK_RIBIERE
Polak-Ribière formula.

## Method Details

### values

public static NonLinearConjugateGradientOptimizer.Formula[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static NonLinearConjugateGradientOptimizer.Formula valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null